[module/volume_bar]
type = internal/alsa

; Soundcard to be used
; Usually in the format hw:# where # is the card number
; You can find the different card numbers in `/proc/asound/cards`
master-soundcard = default
speaker-soundcard = default
headphone-soundcard = default

; Name of the master, speaker and headphone mixers
; Use the following command to list available mixer controls:
; $ amixer scontrols | sed -nr "s/.*'([[:alnum:]]+)'.*/\1/p"
; If master, speaker or headphone-soundcard isn't the default,
; use `amixer -c # scontrols` instead where # is the number
; of the master, speaker or headphone soundcard respectively
;
; Default: Master
master-mixer = Master

; Optionally define speaker and headphone mixers
; Default: none
;;speaker-mixer = Speaker
; Default: none
;;headphone-mixer = Headphone

; NOTE: This is required if headphone_mixer is defined
; Use the following command to list available device controls
; $ amixer controls | sed -r "/CARD/\!d; s/.*=([0-9]+).*name='([^']+)'.*/printf '%3.0f: %s\n' '\1' '\2'/e" | sort
; You may also need to use `amixer -c # controls` as above for the mixer names
; Default: none
;;headphone-id = 9

; Use volume mapping (similar to amixer -M and alsamixer), where the increase in volume is linear to the ear
; Default: false
;;mapped = true

; Interval for volume increase/decrease (in percent points)
; Default: 5
interval = 5

; Available tags:
;   <label-volume> (default)
;   <ramp-volume>
;   <bar-volume>
format-volume = <ramp-volume> <bar-volume>

; Available tags:
;   <label-muted> (default)
;   <ramp-volume>
;   <bar-volume>
format-muted = <label-muted>
format-muted-padding = 1
;format-muted-prefix = 
format-muted-prefix = 婢
;format-muted-prefid = 
format-muted-prefix-foreground = ${color.red}
format-muted-prefix-padding = 0
format-muted-prefix-font = 3

; Available tokens:
;   %percentage% (default)
label-volume = %percentage%%

; Available tokens:
;   %percentage% (default
label-muted = "Muted"
label-muted-foreground = ${color.sep}
label-muted-padding-left = 1


; Only applies if <ramp-volume> is used
;ramp-volume-0 = 
;ramp-volume-1 = 
;ramp-volume-2 = 

ramp-volume-0 = 
ramp-volume-1 = 
ramp-volume-2 = 
ramp-volume-foreground = ${color.white}
ramp-volume-padding-left = 1
ramp-volume-font = 3

; Only applies if <bar-volume> is used
bar-volume-format = "%fill%%indicator%%empty%"
bar-volume-width = 13
bar-volume-gradient = true

bar-volume-indicator = ${bar.indicator}
;bar-volume-indicator-foreground = ${color.foreground}
bar-volume-indicator-font = 2

bar-volume-fill = ${bar.fill}
bar-volume-fill-font = 2
bar-volume-foreground-0 = ${color.green}
bar-volume-foreground-1 = ${color.green}
bar-volume-foreground-2 = ${color.orange}
bar-volume-foreground-3 = ${color.orange}
bar-volume-foreground-4 = ${color.red}

bar-volume-empty = ${bar.empty}
bar-volume-empty-font = 2


; If defined, it will replace <ramp-volume> when
; headphones are plugged in to `headphone_control_numid`
; If undefined, <ramp-volume> will be used for both
; Only applies if <ramp-volume> is used
ramp-headphones-0 = 

click-right  = {{ volume.mixer }} &
